Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Autor Téma: `GLIBC_2.4' not found  (Přečteno 1664 krát)

petr.sigut

  • Návštěvník
  • Příspěvků: 3
`GLIBC_2.4' not found
« kdy: 12 Září 2007, 15:00:20 »
Více programů mi nenaběhne a padne s podobnou chybovou hláškou:


 ./launch_lunar_domination
./lunar_domination_demo: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by ./lunar_domination_demo)


Naposledy například Lunar Domination.

Aptitude mi ukazuje nainstalovaný baík:
v    glibc-2.3.5-0ubuntu1

Takže předpokládám, že potřebuju GLIBC verze 2.4 a já mám jen 2.3.5 - je nějaká možnost jak glibc 2.4 nainstalovat bokem? Mám pocit že upgrade na novější by neprošel moc dobře:)

Díky moc za tipy, upgrade celé distribuce zatím nepřipadá v úvahu.

Mám Dapper 6.06

Vojtěch Trefný

  • Příspěvků: 9307
  • Don Quijote
`GLIBC_2.4' not found
« Odpověď #1 kdy: 12 Září 2007, 15:06:05 »
Citace: petr.sigut
Více programů mi nenaběhne a padne s podobnou chybovou hláškou:


 ./launch_lunar_domination
./lunar_domination_demo: /lib/tls/i686/cmov/libc.so.6: version `GLIBC_2.4' not found (required by ./lunar_domination_demo)


Naposledy například Lunar Domination.

Aptitude mi ukazuje nainstalovaný baík:
v    glibc-2.3.5-0ubuntu1

Takže předpokládám, že potřebuju GLIBC verze 2.4 a já mám jen 2.3.5 - je nějaká možnost jak glibc 2.4 nainstalovat bokem? Mám pocit že upgrade na novější by neprošel moc dobře:)

Díky moc za tipy, upgrade celé distribuce zatím nepřipadá v úvahu.

Mám Dapper 6.06
Dapper je již docela stará verze, takže obsahuje starší verze knihoven, zatímco nové programy samozřejmě požadují verze novější... glibc má dost závislostí, takže v případě instalace novější verze (např. kompilací) byste mohl více problémů... Doporučuji upgrade na novější verzi systému.

petr.sigut

  • Návštěvník
  • Příspěvků: 3
`GLIBC_2.4' not found
« Odpověď #2 kdy: 12 Září 2007, 15:30:07 »
> Dapper je již docela stará verze,
Já vím, ale zase bych přišel o LTS:(

 

Provoz zaštiťuje spolek OpenAlt.